Modify

Opened 10 years ago

Closed 10 years ago

#6599 closed defect (fixed)

Webserver missing Last-Modified-Header

Reported by: PHerison Owned by: team
Priority: normal Milestone:
Component: unspecified Version:
Keywords: www server last-mdified timestamp Cc:

Description

I'm starting JOSM with a batch-file. In this file wget checks if there is a new version of JOSM. Checking if josm-tested.jar is newer than local copy doesn't work anymore. wget sais "»Last-modified«-Kopfzeile fehlt -- Zeitstempel abgeschaltet." (>>Last-modified<<-header missing -- timestamp disabled.)

d:\Program Files\JOSM>wget.exe -N http://josm.openstreetmap.de/josm-tested.jar
SYSTEM_WGETRC = c:/progra~1/wget/etc/wgetrc
syswgetrc = C:\Program Files\GnuWin32/etc/wgetrc
--2011-07-15 23:15:15--  http://josm.openstreetmap.de/josm-tested.jar
Auflösen des Hostnamen »josm.openstreetmap.de«.... 85.214.112.59
Verbindungsaufbau zu josm.openstreetmap.de|85.214.112.59|:80... verbunden.
HTTP Anforderung gesendet, warte auf Antwort... 200 OK
Länge: 6456517 (6,2M) [application/x-jar]
»Last-modified«-Kopfzeile fehlt -- Zeitstempel abgeschaltet.
--2011-07-15 23:15:15--  http://josm.openstreetmap.de/josm-tested.jar
Wiederverwendung der bestehenden Verbindung zu josm.openstreetmap.de:80.
HTTP Anforderung gesendet, warte auf Antwort... 200 OK
Länge: 6456517 (6,2M) [application/x-jar]
In »josm-tested.jar« speichern.

100%[==========================================================>] 6.456.517   1,34M/s   in 5,7s

2011-07-15 23:15:21 (1,08 MB/s) - »josm-tested.jar« gespeichert [6456517/6456517]

Attachments (0)

Change History (5)

comment:1 Changed 10 years ago by stoecker

Resolution: fixed
Status: newclosed

comment:2 Changed 10 years ago by Firefishy

Resolution: fixed
Status: closedreopened

The "Last-Modified" header supplied is invalid due to the day string being in German:

Example:
Last-Modified: Don, 21 Jul 2011 01:31:36 GMT

grant@miranda:~$ wget -N http://josm.openstreetmap.de/josm-latest.jar
--2011-07-21 04:18:35--  http://josm.openstreetmap.de/josm-latest.jar
Resolving josm.openstreetmap.de... 85.214.112.59, 2a01:238:4000:0:21:6879:9ac1:9e7e
Connecting to josm.openstreetmap.de|85.214.112.59|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 6411527 (6.1M) [application/x-jar]
Last-modified header invalid -- time-stamp ignored.

comment:3 Changed 10 years ago by stoecker

Resolution: fixed
Status: reopenedclosed

comment:4 Changed 10 years ago by rickmastfan67

Resolution: fixed
Status: closedreopened

I think something got borked.

When there is a new build released, I use the file downloader called "Free Download Manager". In it, it has an option to "Set the date of a file identical to the date specified by the server".

So, I go to download r4263 today like normal. However, once the file is saved to my computer, it says the "Created/Modified" date is August 24th, 2011, a full month in "the future" instead of saying it's July 25th, 2011.

So, something on the server side somehow got the clock bumped up a full month. However, the Last Modified inside of the file itself is just fine.

Just thought I would let you guys know about this.

comment:5 Changed 10 years ago by stoecker

Resolution: fixed
Status: reopenedclosed

Why must Python make everything different. Fixed this issue as well.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.